/*!
 * \brief
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CAENSY2527DEF_H
#define CAENSY2527DEF_H

#define UNIX
#include <CAENHVWrapper.h>

#include "common/base/BaseTypes.h"

namespace caen_sy2527 {

static const char CAENSY2527_FUNCTION[] = "caen_sy2527";
static const int32 CAENSY2527_MAX_BOARDS = 6;

static const int32 ON_VALUE = 1;
static const int32 OFF_VALUE = 0;

/* Structure containing system index */
typedef struct sys
	{
		int Handle;
		int ID;
	} HV;

static const std::string STATUSCHANNEL[10] = {
		"On",
		"Up",
		"Down",
		"Over Current",
		"Over Voltage",
		"Under Voltage",
		"External Trip",
		"max V",
		"External Disable",
		"Internal Trip"};
};


//enum crateType {
//	SY1527,
//	SY2527,
//	SY4527,
//	SY5527,
//	V65XX,
//	N14XX,
//	V8100,
//	N568E,
//	DT55XX
//};
//
//enum linkType {
//	TCPIP,
//	USB = 3,
//	OPTICAL_LINK,
//	USB_VCP
//};

#endif // CAENSY2527DEF_H
